<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add products</title>
    <link rel="stylesheet" href="/add-product.css">
</head>

<body>

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<div class="container">
    <h2 align="center">Save Product</h2>

    <form class="form-group"  method="post"  th:action="@{/products/add}"  th:object="${product}" enctype="multipart/form-data">
        <fieldset>
            <legend class="center-block">New product information<span style="font-size:small">is a required field</span></legend>
            <label  class="lbl">Restaurant</label><br>

            <input type="hidden" th:field="*{restaurant.idRestaurant}"/>
            <input type="text" disabled th:value="*{restaurant.restaurantName}"/><br>
            <label for="productName" class="lbl">Product name</label><br>
            <input class="txt" th:field="*{productName}" type="text" id="productName" required name="productName"/><br><br>
            <span th:if="${#fields.hasErrors('productName')}" th:errors="*{productName}" class="text-danger"></span>
            <label for="image" class="lbl">Product image</label>
            <input class="txt" type="file"  th:name="imageFile" id ="image" name="image"/><br><br>

            <span th:if="${#fields.hasErrors('image')}" th:errors="*{image}" class="text-danger"></span>

            <label for="description" class="lbl">Description</label><br>
            <input class="txt" th:field="*{description}" type="text" id="description" name="description" required/><br><br>
            <span th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="text-danger"></span>
            <label for="price" class="lbl">Price</label><br>
            <input class="txt" th:field="*{price}" type="text" id="price" name="price" required/><br><br><br>
            <span th:if="${#fields.hasErrors('price')}" th:errors="*{price}" class="text-danger"></span>
            <input class="btn" type="submit" th:value="Save">

        </fieldset>
    </form>

</div>
<p><a href="/products-list" target="_blank">Products</a></p>
<p><a th:href="@{/displayAdminHome}"><img src="images/blue-home-icon32.png" th:src="@{images/blue-home-icon32.png}" alt="Home"></a></p>
</body>
</html>